KPaletteTable Class Reference

`#include <kcolordialog.h>`

Inherits QWidget.

## Public Slots

void | setPalette (const QString &paletteName)

## Signals

void | colorSelected (const QColor &, const QString &)
void | colorDoubleClicked (const QColor &, const QString &)

## Public Member Functions

| KPaletteTable (QWidget *parent, int minWidth=210, int cols=16)
void | addToCustomColors (const QColor &)
void | addToRecentColors (const QColor &)
QString | palette () const

## Protected Slots

void | slotColorCellSelected (int)
void | slotColorCellDoubleClicked (int)
void | slotColorTextSelected (const QString &colorText)
void | slotSetPalette (const QString &_paletteName)
void | slotShowNamedColorReadError (void)

## Protected Member Functions

void | readNamedColor (void)
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QString | i18n_customColors
QString | i18n_recentColors
QString | i18n_namedColors
QComboBox * | combo
KColorCells * | cells
QScrollView * | sv
KListBox * | mNamedColorList
KPalette * | mPalette
int | mMinWidth
int | mCols

## Detailed Description

A color palette in table form.

Author
  Waldo Bastian basti.nosp@m.an@k.nosp@m.de.or.nosp@m.g

Definition at line 198 of file kcolordialog.h.

## Member Data Documentation

QString KPaletteTable::i18n_customColors

protected

Deprecated:

Definition at line 225 of file kcolordialog.h.

QString KPaletteTable::i18n_namedColors

protected

### KDE4: remove

Definition at line 228 of file kcolordialog.h.

QString KPaletteTable::i18n_recentColors

protected

### KDE4: remove

Deprecated:

Definition at line 227 of file kcolordialog.h.

The documentation for this class was generated from the following files:

- kcolordialog.h
- kcolordialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys